LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   USB printer with CUPS 1.4.2 problems (http://www.linuxquestions.org/questions/slackware-14/usb-printer-with-cups-1-4-2-problems-792947/)

eduslack 03-03-2010 01:47 PM

USB printer with CUPS 1.4.2 problems
 
Hello,

My USB printer stopped working after I upgraded Slackware, using the Current.

Also can not install any USB printer. CUPS version 1.4.2.

Fantus 03-03-2010 02:00 PM

What printer are you using?

eduslack 03-03-2010 02:05 PM

Epson Stylus C110

Fantus 03-03-2010 03:06 PM

I found this driver. Try reinstalling it and let us know how it works.
http://www.openprinting.org/printer/...on-Stylus_C120

eduslack 03-03-2010 07:07 PM

The problem is in CUPS, I uninstalled CUPS 1.4 and reinstalled CUPS 1.3.11 and the printer to print again. Now I can install printers on the USB port. What is the problem with CUPS 1.4?

ginkgo 03-04-2010 05:27 AM

And I can not choose the cartridge setting in the 1.4.2.
But the 1.3 can choose.

rpedrica 03-04-2010 06:53 AM

My printing has also ground to a halt with the latest CUPS update. I have an HP Officejet 6500 over ethernet which has been working fine. Now, prints appear to go through the hplip component but don;t actually get printed - I get the following errors:

/var/log/syslog


Mar 4 14:06:49 googly python: io/hpmud/jd.c 770: mdns lookup HPD269B7.local retry 20...
Mar 4 14:06:50 googly python: io/hpmud/jd.c 766: error timeout mdns lookup HPD269B7.local

and

Mar 4 14:06:29 googly python: io/hpmud/jd.c 88: unable to read device-id
Mar 4 14:06:29 googly python: hp-systray(hpdio)[27577]: error: Unable to communicate with device (code=12): hp:/net/Officejet_6500_E709a?zc=HPD269B7
Mar 4 14:06:29 googly python: hp-systray(hpdio)[27577]: error: Device not found

and

Mar 4 13:52:28 googly hp[16749]: prnt/backend/hp.c 839: ERROR: null print job total=0
Mar 4 13:54:07 googly hp[16777]: prnt/backend/hp.c 839: ERROR: null print job total=0

in /var/log/cups/error I get:

D [04/Mar/2010:13:54:08 +0200] [Job 222] renderer command: gs -q -dBATCH -dPARANOIDSAFER -dQUIET -dNOPAUSE -sDEVICE=ijs -sIjsServer=hpijs -dDEVICEWIDTHPOINTS=595 -dDEVICEHEIGHTPOINTS=842 -sDeviceManufacturer="HEWLETT-PACKARD" -sDeviceModel="deskjet 5600" -dDuplex=false -r300 -sIjsParams=Quality:Quality=4,Quality:ColorMode=2,Quality:MediaType=0,Quality:PenSet=2,Quality:SpeedM ech=1,PS:MediaPosition=7 -dIjsUseOutputFD -sOutputFile=- -
D [04/Mar/2010:13:54:08 +0200] [Job 222] Starting process 16783: "gs -q -dBATCH -dPARANOIDSAFER -dQUIET -dNOPAUSE -sDEVICE=ijs -sIjsServer=hpijs -dDEVICEWIDTHPOINTS=5..."
D [04/Mar/2010:13:54:08 +0200] [Job 222] sh: hpijs: command not found
D [04/Mar/2010:13:54:08 +0200] [Job 222] GPL Ghostscript 8.71: Can't start ijs server "hpijs"
D [04/Mar/2010:13:54:08 +0200] [Job 222] Process 16783 ending: "gs -q -dBATCH -dPARANOIDSAFER -dQUIET -dNOPAUSE -sDEVICE=ijs -sIjsServer=hpijs -dDEVICEWIDTHPOINTS=5..."
D [04/Mar/2010:13:54:08 +0200] [Job 222] Process dying with "Possible error on renderer command line or PostScript error. Check options.", exit stat: 3
D [04/Mar/2010:13:54:08 +0200] [Job 222] error: No such file or directory (2)
D [04/Mar/2010:13:54:08 +0200] [Job 222] Cleaning up ...
D [04/Mar/2010:13:54:08 +0200] [Job 222] Killing process 16782 (KID4) with signal 15
D [04/Mar/2010:13:54:08 +0200] [Job 222] Process dying with "Caught termination signal: Job canceled", exit stat: 0
D [04/Mar/2010:13:54:08 +0200] [Job 222] Maximal count of pending signals (120) exceeded at /usr/lib64/cups/filter/foomatic-rip-hplip line 3639, <STDIN> line 11243.
D [04/Mar/2010:13:54:08 +0200] [Job 222]
D [04/Mar/2010:13:54:08 +0200] [Job 222] Closing foomatic-rip.
D [04/Mar/2010:13:54:08 +0200] [Job 222] prnt/backend/hp.c 839: ERROR: null print job total=0 foomatic-rip.
D [04/Mar/2010:13:54:08 +0200] [Job 222] printer-state-message="/usr/lib64/cups/filter/foomatic-rip-hplip failed"

I've also seen somewhere else something about the hpijs driver being removed from the latest CUPS ...

Any help would be appreciated

rpedrica 03-04-2010 07:03 AM

Ok a note that I've got the printer working through CUPS setup with the HP ( non-hpijs ) driver - I however don't see it in the HP Device Manager ( hplip ).

rpedrica 03-04-2010 07:10 AM

Ok some more info, I've now been able to setup the printer via hp-setup using the advanced options and specify an IP address - it appears that mdns is no longer working on my machine. I noticed that avahi does not run anymore and borks with the error:

/usr/sbin/avahi-daemon: error while loading shared libraries: libdaemon.so.0: cannot open shared object file: No such file or directory
Starting Avahi mDNS/DNS-SD Daemon: /usr/sbin/avahi-daemon -D
/usr/sbin/avahi-daemon: error while loading shared libraries: libdaemon.so.0: cannot open shared object file: No such file or directory

I've done a search for that file in /var/log/packages/* but nothing came up.

Linux.tar.gz 03-04-2010 07:15 AM

Did you installed the printer via hp-setup ?

rpedrica 03-04-2010 07:39 AM

Yes the default mode of setup through hp-setup is using mdns - to get around the avahi/mdns issue, you have to specifically click on Show Advanced Options -> Manual Discovery and pop your printer IP in there ...

damgar 03-04-2010 07:58 AM

Quote:

Originally Posted by rpedrica (Post 3885382)
Ok a note that I've got the printer working through CUPS setup with the HP ( non-hpijs ) driver - I however don't see it in the HP Device Manager ( hplip ).

+1 on an HP officejet 4200

disturbed1 03-04-2010 08:21 AM

Cups works fine in current with my Epson C120.

Blacklist usblp, or rmmod usblp, sh /etc/rc.d/rc.cups restart, and your printer should show up. This is a new change in cups 1.4.x.

ginkgo 03-04-2010 10:02 AM

the hplip default NOT include the hpijs driver from the 3.9.6 .

I just compile the 3.10.2 that release on Feb 26.
with "enable-hpijs-install" , and this work perfectly for my hp 3325 printer.

rpedrica 03-05-2010 08:29 AM

gingkgo I've tried recompiling on my -current64 but I get an issue with a jpeg lib:

/bin/sh ./libtool --tag=CC --mode=link x86_64-slackware-linux-gcc -I/usr/include/python2.6 -O2 -fPIC -module -avoid-version -lsane -o scanext.la -rpath /usr/lib64/python2.6/site-packages scanext_la-scanext.lo -lcrypto
grep: /usr/lib64/libjpeg.la: No such file or directory
/usr/bin/sed: can't read /usr/lib64/libjpeg.la: No such file or directory
libtool: link: `/usr/lib64/libjpeg.la' is not a valid libtool archive

Any ideas?


All times are GMT -5. The time now is 06:32 AM.